作者 主題: 請教SASL驗證問題  (閱讀 2688 次)

0 會員 與 1 訪客 正在閱讀本文。

nick6562

  • 憂鬱的高中生
  • ***
  • 文章數: 103
    • 檢視個人資料
請教SASL驗證問題
« 於: 2005-10-05 16:45 »
請教各位高手:

   當我在/usr/lib/sasl/smtpd.conf中使用pwcheck_method: saslauthd後,在maillog中看見此錯誤訊息,請問是什麼,怎麼解?謝謝~~

SASL LOGIN authentication failed

nick6562

  • 憂鬱的高中生
  • ***
  • 文章數: 103
    • 檢視個人資料
請教SASL驗證問題
« 回覆 #1 於: 2005-10-05 16:54 »
Dear All,

   我在Google有找到文章,說明我驗證方法有問題,RH9.0不是內建SASL2.0的版本嗎?我去修改的/usr/lib/sasl/smtpd.conf檔是不是屬於2.0版本?因為我搜尋過,只有這邊有smtpd.conf這個檔,怎麼回事?不解~~

Jerry Liu

  • 鑽研的研究生
  • *****
  • 文章數: 541
  • 性別: 男
    • 檢視個人資料
請教SASL驗證問題
« 回覆 #2 於: 2005-10-05 17:04 »
1.這訊息的意思很簡單,看不懂的話請翻字典

2.去鳥哥的網站把教學重新看清楚....
水泥森林中的狼

好懷念的暱稱啊 .................

nick6562

  • 憂鬱的高中生
  • ***
  • 文章數: 103
    • 檢視個人資料
請教SASL驗證問題
« 回覆 #3 於: 2005-10-05 17:14 »
引述: "Jerry Liu"
1.這訊息的意思很簡單,看不懂的話請翻字典

2.去鳥哥的網站把教學重新看清楚....


我就是從鳥哥上看到RH9.0是內建v2.0版本的,但是依照上面所述smtpd.conf這個檔案應該是放在/usr/lib/sasl2/下的,怎麼會不一樣呢?另外我rpm -qa | grep sasl查到的SASL版本也是2.0啊~~?

Jerry Liu

  • 鑽研的研究生
  • *****
  • 文章數: 541
  • 性別: 男
    • 檢視個人資料
請教SASL驗證問題
« 回覆 #4 於: 2005-10-05 17:32 »
以下文字轉貼於鳥哥的網站

引用

Red Hat 9 版本:
什麼?!Red Hat 9 也同時提供 Postfix 啊?!沒錯的啦!呵呵!很高興吧!所以說, Red Hat 9 不但提供了 sendmail 給我們使用,還額外提供了 Postfix 讓我們可以隨意的轉換郵件伺服器軟體呢!不過,在 Red Hat 9 的 Cyrus-sasl 已經是 2.xx 版本了,而且還主動的提供相容於 1.5.xx 版本的函式庫呢!真是相當的棒啊!但是因為 Red Hat 9 提供的 Postfix 還是使用 1.xx 版,因此我們在 Red Hat 9 預設的 Postfix 郵件伺服器中,還是使用 Cyrus SASL 1.5.xx 的函式庫喔!所以也就無法使用 saslauthd 這個機制了!並且, Red Hat 9 並沒有提供 pwcheck 這個程式,所以在 Red Hat 9 底下的 Cyrus SASL 認證機制就需要使用 sasldb 了!至於安裝的方法最簡單的方式就是以我們在 網路升級套件 那一章節提到的 APT 來進行安裝即可!


再說一遍,請把教學文章

從頭看到尾
水泥森林中的狼

好懷念的暱稱啊 .................